%global distname sendEmail

Summary: A lightweight, completly command line based, SMTP email client
Name: sendemail
Version: 1.56
Release: 10%{?dist}
Group: Applications/Internet
License: GPL-2.0-or-later
URL: https://github.com/zehm/sendEmail
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://caspian.dotconf.net/menu/Software/SendEmail/%{distname}-v%{version}.tar.gz
Source1: http://http.debian.net/debian/pool/main/s/sendemail/sendemail_%{version}-5.1.debian.tar.gz
Source2: sendemail.1
Patch0: sendemail_1.56-5.debian-disable_tls.patch
Patch1: sendEmail-v1.56-user_agent.patch
BuildArch: noarch
BuildRequires: %{__perl}
Requires: perl(Sys::Hostname)
Provides: %{distname} = %{version}-%{release}
Obsoletes: %{distname} < %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SendEmail is a lightweight tool written in Perl for sending SMTP
email from the console. It was designed to be used in bash scripts,
Perl programs, and Web pages. It requires no special modules, and
has a simple interface, making it very easy to install and use.
It should work on any platform that has Perl and supports Unix
sockets, but was designed for Linux.

%prep
%setup -q -n %{distname}-v%{version} -a 1

# only >= EL6 have IO::Socket::INET6
%{!?_disable_ipv6: %global _disable_ipv6 0}

%if %{_disable_ipv6}
  %{__rm} -vf debian/patches/add-ipv6-support.patch
  %{__perl} -pi -e 's|INET6|INET|g' debian/patches/local-sendmail.patch
%endif

# fix debian patches
%{__perl} -pi -e 's|\/usr\/bin\/sendmail|/usr/sbin/sendmail|g' debian/%{distname}.1 debian/patches/*.patch

# apply debian patches
for i in debian/patches/*.patch; do
  echo $i
  %{__patch} -p1 < $i
done

%patch0 -p1 -b .disable_tls
%patch1 -p1 -b .user_agent

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1

%{__install} -m 0755 -p %{distname} %{buildroot}%{_bindir}/%{name}
%{__install} -m 0644 -p %{SOURCE2} %{buildroot}%{_mandir}/man1/%{name}.1

%{__ln_s} %{name} %{buildroot}%{_bindir}/%{distname}
%{__ln_s} %{name}.1 %{buildroot}%{_mandir}/man1/%{distname}.1

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG README TODO
%{_bindir}/%{name}
%{_bindir}/%{distname}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{distname}.1*

%changelog
* Wed May 03 2023 Simon Matter <simon.matter@invoca.ch> 1.56-10
- add updated man page

* Wed May 03 2023 Simon Matter <simon.matter@invoca.ch> 1.56-9
- add requirement for Sys::Hostname

* Thu Feb 16 2023 Simon Matter <simon.matter@invoca.ch> 1.56-8
- add patch to change header X-Mailer to User-Agent

* Fri Sep 02 2022 Simon Matter <simon.matter@invoca.ch> 1.56-7
- rename package to sendemail to be in line with Fedora/EPEL

* Fri Apr 17 2020 Simon Matter <simon.matter@invoca.ch> 1.56-6
- add patch to disable TLS by default

* Wed Apr 15 2020 Simon Matter <simon.matter@invoca.ch> 1.56-5
- add support for EL8

* Wed Sep 27 2017 Simon Matter <simon.matter@invoca.ch> 1.56-4
- add IPv6 support where possible

* Thu Sep 08 2016 Simon Matter <simon.matter@invoca.ch> 1.56-3
- add patches and manpage from debian

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.56-2
- mass rebuild

* Mon Oct 02 2009 Simon Matter <simon.matter@invoca.ch> 1.56-1
- upgrade to 1.56
- change license tag to GPLv2+

* Fri Dec 15 2006 Simon Matter <simon.matter@invoca.ch> 1.55-1
- update to version 1.55

* Sun Nov 19 2006 Simon Matter <simon.matter@invoca.ch> 1.54-2
- add bindaddr patch

* Tue Oct 31 2006 Simon Matter <simon.matter@invoca.ch> 1.54-1
- update to version 1.54

* Thu Mar 10 2005 Simon Matter <simon.matter@invoca.ch>
- update to version 1.52

* Fri Dec 03 2004 Simon Matter <simon.matter@invoca.ch>
- update to version 1.51

* Thu Oct 07 2004 Simon Matter <simon.matter@invoca.ch>
- update to version 1.50

* Thu Nov 13 2003 Simon Matter <simon.matter@invoca.ch>
- initial build
